define(['zepto','medtap'],function($,medtap){
	var questionnaireDetails = {
    wechatId:medtap.getRequest('wechatId'),
    // 修改人员id
    adminId: medtap.getRequest('adminId')||'',
		// 问卷id
    followUpId: medtap.getRequest('followUpId'),
    // 问卷详情的答案
    queDetailsList:{
    },
    // 5题子选项
    checksList:[],
    // 14题子选项
    checkList:[],
		init:function(){
      questionnaireDetails.getWechatTicket()
      questionnaireDetails.getQueDetails()
      questionnaireDetails.pageRendering()
    },
    getQueDetails:function(){
      medtap.submitAjax({
        url: "https://gateway.medtap.cn/operation/followUp/followUpDetail",
        type: 'post',
        async: false,
        contentType: 'application/json',
        data: {
          "followUpId": questionnaireDetails.followUpId,
          "adminId": questionnaireDetails.adminId
        },
        success: function(res) {
          console.log(res)
          if(!res.success) return medtap.winPop('获取数据失败')
          questionnaireDetails.queDetailsList = res.content.followUpAnswer
          var mouthTime = res.content.followUpUser.answerTime.split('-')[1]
          $('.queDetails_header .queDetails_header_title').text(mouthTime+'月随访问卷')  
        }
      })
    },
    // 处理数据
    pageRendering:function(){
      for(var key in questionnaireDetails.queDetailsList){
       switch(key){ 
        case 'question1':
            $('.question_one').addClass('question_one_show')
          var height_g = questionnaireDetails.queDetailsList[key].height/100;
          var height_t = height_g*height_g;
          var weight_g = questionnaireDetails.queDetailsList[key].weight;
          var bmi = parseInt(weight_g/height_t);
          var html1 = '<div class="height">'+
                        '<p class="height_title">身高(cm)</p>'+
                        '<p class="height_text">'+ questionnaireDetails.queDetailsList[key].height +'</p>'+
                      '</div>'+
                      '<div class="weight">'+
                        '<p class="weight_title">体重(kg)</p>'+
                        '<p class="weight_text">'+questionnaireDetails.queDetailsList[key].weight+'</p>'+
                      '</div>'+
                      '<div class="bmi">'+
                        '<p class="bmi_title">BMI</p>'+
                        '<p class="bmi_text">'+bmi+'</p>'+
                      '</div>';
          $('.question_one').append(html1)
          break;
          case 'question2':
            $('.question_two').addClass('question')
          if(questionnaireDetails.queDetailsList[key].status=='1'){
           
            var html = '<div class="que_title">复诊情况：<span class="que_content_title">近一个月有进行复诊</span></div>'+
                          '<div class="que_content">'+
                            
                            '<div class="que_content_body">'+
                              '<p class="body_title">医生对疗效的判断:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].judge+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body2">'+
                              '<p class="body_title">转移部位:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].movePositionVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body question_two_img">'+
                              '<p class="body_title">病历、影像图片：</p>'+
                              '<ul class="body_img">'+
                                
                              '</ul>'+
                            '</div>'+
                        '</div>'
              $('.question_two').append(html)
              if(!questionnaireDetails.queDetailsList[key].movePositionVal){
                $('.content_body2').remove()
              }
              var imglist = questionnaireDetails.queDetailsList[key].imgKey
              if(imglist.length>0){
                var htmli = ''
                for(var i=0;i<imglist.length;i++){
                  htmli +=  '<li>'+
                                '<img src="'+imglist[i]+'" alt="">'+
                            '</li>'
                }
                $('.question_two .body_img').append(htmli)
              }
              if(imglist.length==0){
                $('.question_two .question_two_img').remove()
              }
          }else if(questionnaireDetails.queDetailsList[key].status=='0'){
            var html = '<div class="que_title que_title_nobor">复诊情况：<span class="que_content_title">近一个月未复诊</span></div>'
                        
            $('.question_two').append(html)
            $('.que_title_nobor').addClass('no_border')
            $('.question_two').addClass('no_marg_bot')
          }
          break;
          case 'question3':
              $('.question_three').addClass('question')
          if(questionnaireDetails.queDetailsList[key].status=='1'){
             var html ='<div class="que_title">奥希替尼治疗情况： <span class="que_content_title">正在接受包含奥希替尼的治疗</span></div>'+
                        '<div class="que_content que_content_push">'+
                         
                          '<div class="que_content_body">'+
                            '<p class="body_title">使用的奥希替尼：</p>'+
                            '<p class="body_content">'+questionnaireDetails.queDetailsList[key].drugTypesVal+'</p>'+
                          '</div>'+
                         
                        '</div>'
              $('.question_three').append(html)    
          }else if(questionnaireDetails.queDetailsList[key].status=='0'){
            var html = '<div class="que_title">奥希替尼治疗情况：<span class="que_content_title">近一个月未接受包含奥希替尼的治疗</span></div>'+
                            '<div class="que_content">'+
                              
                              '<div class="que_content_body">'+
                                '<p class="body_title">停药时间：</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].stopTimeVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body">'+
                                '<p class="body_title">停药原因:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].stopCauseVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body que_content_body_next">'+
                               
                                '<p class="body_title body_title_no">未开始下一步治疗</p>'+
                              '</div>'+
                            '</div>'
                $('.question_three').append(html)
                if(questionnaireDetails.queDetailsList[key].isNextVal=='是'){
                  var html3 =  '<p class="body_title">已开始下一步治疗，治疗方案：</p>'+
                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].programme||''+'</p>'
                  $('.question_three .que_content_body_next').append(html3)
                  $('.question_three .que_content_body .body_title_no').remove()
                }
          }
          break;
          case 'question4':
              $('.question_three').addClass('question')
          var html = '<div class="que_content_body que_content_treatmentType">'+
                        '<p class="body_title">正在联合其他治疗:</p>'+
                        '<p class="body_content">'+questionnaireDetails.queDetailsList[key].treatmentTypeVal+'</p>'+
                      '</div>'+
                      '<div class="que_content_body que_content_specificTherapy">'+
                        '<p class="body_title">具体疗法或药物：</p>'+
                        '<p class="body_content">'+questionnaireDetails.queDetailsList[key].specificTherapy+'</p>'+
                      '</div>'
                     
                $('.que_content_push').append(html)
                if(!questionnaireDetails.queDetailsList[key].treatmentTypeVal){
                        $('.que_content_treatmentType').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].specificTherapy){
                  $('.que_content_specificTherapy').remove() 
                }
          break;
          case 'question5':
              $('.question_four').addClass('question')
          questionnaireDetails.checksList = questionnaireDetails.queDetailsList[key].checks?questionnaireDetails.queDetailsList[key].checks.split(","):[]
          if(questionnaireDetails.queDetailsList[key].status=='0'){
            var html = '<div class="que_title">检验检查情况：<span class="que_content_title">近一个月未做过以下检验检查</span></div>'+
                        '<div class="que_content">'+
                          
                          '<p class="body_content">血常规 / 肝功能 / 肾功能；胸透/胸部x线；CT；MRI</p>'+
                        '</div>'
              $('.question_four').append(html)             
          }else if(questionnaireDetails.queDetailsList[key].status=='1'){
            
            $('.question_four .que_title_isHide').show() 
            $('.que_content_title_jc').show()
          }
          break;
          case 'question6':
              var html6 =  '<div class="que_content">'+
                              '<p class="que_content_title left_line">血常规、肝功能、肾功能</p>'+
                              '<div class="que_content_body question_four_img6">'+
                                '<p class="body_title">报告单：</p>'+
                                '<ul class="body_img question_img6">'+
                                    
                                 '</ul>'+
                              '</div>'+
                              '<div class="que_content_body  que_content_bot6">'+
                                '<p class="body_title">医生对检查结果的说明:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                              '</div>'+
                            '</div>';
          $('.question6').append(html6)
          if(questionnaireDetails.queDetailsList[key].checkImgList.length==0){
            $('.question_four .question_four_img6').remove()
          }else if(questionnaireDetails.queDetailsList[key].checkImgList.length>0){
            var html = '';
            for(var i=0;i<questionnaireDetails.queDetailsList[key].checkImgList.length;i++){
              html += '<li>'+
                            '<img src="'+questionnaireDetails.queDetailsList[key].checkImgList[i]+'" alt="">'+
                      '</li>'
            }
            $('.question_img6').append(html)
          }
          if(!questionnaireDetails.queDetailsList[key].dataText){
            $('.que_content_bot6').remove()
          }
          break;
          case 'question7':
            var html7 ='<div class="que_content">'+
              '<p class="que_content_title left_line">胸透/胸部X线</p>'+
              '<div class="que_content_body question_four_img7">'+
                '<p class="body_title">报告单：</p>'+
                '<ul class="body_img question_img7">'+
                    
                 '</ul>'+
              '</div>'+
              '<div class="que_content_body  que_content_bot7">'+
                '<p class="body_title">医生对检查结果的说明:</p>'+
                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
              '</div>'+
            '</div>';
          $('.question7').append(html7)
          if(questionnaireDetails.queDetailsList[key].checkImgList.length==0){
            $('.question_four .question_four_img7').remove()
          }else if(questionnaireDetails.queDetailsList[key].checkImgList.length>0){
            var html = '';
            for(var i=0;i<questionnaireDetails.queDetailsList[key].checkImgList.length;i++){
              html += '<li>'+
                            '<img src="'+questionnaireDetails.queDetailsList[key].checkImgList[i]+'" alt="">'+
                      '</li>'
            }
            $('.question_img7').append(html)
          }
          if(!questionnaireDetails.queDetailsList[key].dataText){
            $('.que_content_bot7').remove()
          }
          break;
          case 'question8':
            var html8 =  '<div class="que_content">'+
              '<p class="que_content_title left_line">CT</p>'+
              '<div class="que_content_body question_four_img8">'+
                '<p class="body_title">报告单：</p>'+
                '<ul class="body_img question_img8">'+
                   
                 '</ul>'+
              '</div>'+
              '<div class="que_content_body  que_content_bot8">'+
                '<p class="body_title">医生对检查结果的说明:</p>'+
                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
              '</div>'+
            '</div>';
          $('.question8').append(html8)
          if(questionnaireDetails.queDetailsList[key].checkImgList.length==0){
            $('.question_four .question_four_img8').remove()
          }else if(questionnaireDetails.queDetailsList[key].checkImgList.length>0){
            var html = '';
            for(var i=0;i<questionnaireDetails.queDetailsList[key].checkImgList.length;i++){
              html += '<li>'+
                            '<img src="'+questionnaireDetails.queDetailsList[key].checkImgList[i]+'" alt="">'+
                      '</li>'
            }
            $('.question_img8').append(html)
          }
          if(!questionnaireDetails.queDetailsList[key].dataText){
            $('.que_content_bot8').remove()
          }
          break;
          case 'question9':
            var html9 = '<div class="que_content">'+
              '<p class="que_content_title left_line">MRI</p>'+
              '<div class="que_content_body question_four_img9">'+
                '<p class="body_title">报告单：</p>'+
                '<ul class="body_img question_img9">'+
                   
                 '</ul>'+
              '</div>'+
              '<div class="que_content_body  que_content_bot9">'+
                '<p class="body_title">医生对检查结果的说明:</p>'+
                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
              '</div>'+
            '</div>';
          $('.question9').append(html9)
          if(questionnaireDetails.queDetailsList[key].checkImgList.length==0){
            $('.question_four .question_four_img9').remove()
          }else if(questionnaireDetails.queDetailsList[key].checkImgList.length>0){
            var html = '';
            for(var i=0;i<questionnaireDetails.queDetailsList[key].checkImgList.length;i++){
              html += '<li>'+
                            '<img src="'+questionnaireDetails.queDetailsList[key].checkImgList[i]+'" alt="">'+
                      '</li>'
            }
            $('.question_img9').append(html)
          }
          if(!questionnaireDetails.queDetailsList[key].dataText){
            $('.que_content_bot9').remove()
          }
          break;
          case 'question10':
            var html10 = '<div class="que_content">'+
              '<p class="que_content_title left_line">PET-CT</p>'+
              '<div class="que_content_body question_four_img10">'+
                '<p class="body_title">报告单：</p>'+
                '<ul class="body_img question_img10">'+
                    
                 '</ul>'+
              '</div>'+
              '<div class="que_content_body  que_content_bot10">'+
                '<p class="body_title">医生对检查结果的说明:</p>'+
                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
              '</div>'+
            '</div>';
          $('.question10').append(html10)
          if(questionnaireDetails.queDetailsList[key].checkImgList.length==0){
            $('.question_four .question_four_img10').remove()
          }else if(questionnaireDetails.queDetailsList[key].checkImgList.length>0){
            var html = '';
            for(var i=0;i<questionnaireDetails.queDetailsList[key].checkImgList.length;i++){
              html += '<li>'+
                            '<img src="'+questionnaireDetails.queDetailsList[key].checkImgList[i]+'" alt="">'+
                      '</li>'
            }
            $('.question_img10').append(html)
          }
          if(!questionnaireDetails.queDetailsList[key].dataText){
            $('.que_content_bot10').remove()
          }
          break;
          case 'question11':
            var html11 ='<div class="que_content">'+
              '<p class="que_content_title left_line">骨扫描</p>'+
              '<div class="que_content_body question_four_img11">'+
                '<p class="body_title">报告单：</p>'+
                '<ul class="body_img question_img11">'+
                    
                 '</ul>'+
              '</div>'+
              '<div class="que_content_body  que_content_bot11">'+
                '<p class="body_title">医生对检查结果的说明:</p>'+
                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
              '</div>'+
            '</div>';
          $('.question11').append(html11)
          if(questionnaireDetails.queDetailsList[key].checkImgList.length==0){
            $('.question_four .question_four_img11').remove()
          }else if(questionnaireDetails.queDetailsList[key].checkImgList.length>0){
            var html = '';
            for(var i=0;i<questionnaireDetails.queDetailsList[key].checkImgList.length;i++){
              html += '<li>'+
                            '<img src="'+questionnaireDetails.queDetailsList[key].checkImgList[i]+'" alt="">'+
                      '</li>'
            }
            $('.question_img11').append(html)
          }
          if(!questionnaireDetails.queDetailsList[key].dataText){
            $('.que_content_bot11').remove()
          }
          break;
          case 'question12':
            var html12 ='<div class="que_content">'+
              '<p class="que_content_title left_line">病理</p>'+
              '<div class="que_content_body question_four_img12">'+
                '<p class="body_title">报告单：</p>'+
                '<ul class="body_img question_img12">'+
                   
                 '</ul>'+
              '</div>'+
              '<div class="que_content_body  que_content_bot12">'+
                '<p class="body_title">医生对检查结果的说明:</p>'+
                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
              '</div>'+
            '</div>';
          $('.question12').append(html12)
          if(questionnaireDetails.queDetailsList[key].checkImgList.length==0){
            $('.question_four .question_four_img12').remove()
          }else if(questionnaireDetails.queDetailsList[key].checkImgList.length>0){
            var html = '';
            for(var i=0;i<questionnaireDetails.queDetailsList[key].checkImgList.length;i++){
              html += '<li>'+
                            '<img src="'+questionnaireDetails.queDetailsList[key].checkImgList[i]+'" alt="">'+
                      '</li>'
            }
            $('.question_img12').append(html)
          }
          if(!questionnaireDetails.queDetailsList[key].dataText){
            $('.que_content_bot12').remove()
          }
          break;
          case 'question13':
              $('.question_five').addClass('question')
          if(questionnaireDetails.queDetailsList[key].status=='0'){
            var html ='<div class="que_title que_title_nobor">基因检测情况：<span class="que_content_title">近一个月未做过基因检测</span></div>'
                    
                      $('.question_five').append(html)
                      $('.que_title_nobor').addClass('no_border')
                      $('.question_five').addClass('no_marg_bot')
          }else if(questionnaireDetails.queDetailsList[key].status=='1'){
            console.log('1')
            var html ='<div class="que_title">基因检测情况： <span class="que_content_title">EGFR'+questionnaireDetails.queDetailsList[key].EGFRval+'，'+questionnaireDetails.queDetailsList[key].positionVal+'</span></div>'+
                      '<div class="que_content">'+
                       
                        '<div class="que_content_body question_five_img13">'+
                          '<p class="body_title">基因检测报告：</p>'+
                          '<ul class="body_img ">'+
                             
                            '</ul>'+
                        '</div>'+
                        '<div class="que_content_body  que_content_bot13">'+
                          '<p class="body_title">医生对检查结果的说明:</p>'+
                          '<p class="body_content">'+questionnaireDetails.queDetailsList[key].testDescription+'</p>'+
                        '</div>'+
                      '</div>'
            $('.question_five').append(html)
            var imglist = questionnaireDetails.queDetailsList[key].imgList
            if(imglist.length>0){
              var htmli = ''
              for(var i=0;i<imglist.length;i++){
                htmli +=  '<li>'+
                              '<img src="'+imglist[i]+'" alt="">'+
                          '</li>'
              }
              $('.question_five .body_img').append(htmli)
            }
            if(imglist.length==0){
              $('.question_five .question_five_img13').remove()

            }
            if(!questionnaireDetails.queDetailsList[key].testDescription){
              $('.question_five .que_content_bot13').remove()
            }
          }
          break;
          case 'question14':
             $('.question_six').removeClass('que_title_isHide')
             $('.question_six').addClass('question')
              questionnaireDetails.checkList = questionnaireDetails.queDetailsList[key].checks?questionnaireDetails.queDetailsList[key].checks.split(","):[]
              if(questionnaireDetails.queDetailsList[key].status=='0'){
                var html14 = '<div class="que_content">'+
                                
                              '</div>'
                            
                  $('.question_six').append(html14)
                  $('.que_content_title_discomfort').show()
                  $('.que_title_nobor').addClass('no_border')
                  $('.question_six').addClass('no_marg_bot')
              }
          break;
          case 'question15':
             var html15 = '<div class="que_content">'+
                              '<p class="que_content_title left_line">疲劳</p>'+
                              '<div class="que_content_body">'+
                                '<p class="body_title body_title15">症状级别 ：</p>'+
                                '<p class="body_content body_content_lev15"></p>'+
                              '</div>'+
                              '<div class="que_content_body que_content_body15">'+
                                '<p class="body_title">发生时间:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content_body15">'+
                                  '<p class="body_title">缓解情况:</p>'+
                                  '<p class="body_content body_content_isRel15">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content15_body">'+
                                  '<p class="body_title">处理方案:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                              '</div>'+
                            '</div>'
                $('.question15').append(html15)
                switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
                  case 1:
                  $('.body_content_lev15').text('1级 疲劳，休息后缓解。')
                  break;
                  case 2:
                  $('.body_content_lev15').text('2级 疲劳，休息后不能缓解；影响工具性日常生活活动。')
                  break;
                  case 3:
                  $('.body_content_lev15').text('3级 疲劳，休息后不能缓解；影响个人日常生活活动。')
                  break;
                }
                if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
                  $('.body_title15').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                  $('.que_content_body15').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                  $('.content_body15').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].dataText){
                  $('.content15_body').remove()
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                  $('.body_content_isRel15').text('已缓解')
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                  $('.body_content_isRel15').text('未缓解')
                }
          break;
          case 'question16':
            var html16 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">发热</p>'+
                            '<div class="que_content_body body_title16">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content body_content_lev16"></p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body16">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body16">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content body_content_isRel16">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content16_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
               $('.question16').append(html16)
               switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
                case 1:
                $('.body_content_lev16').text('1级 38.0 ~ 39.0 ℃。')
                break;
                case 2:
                $('.body_content_lev16').text('2级 39.0~ 40.0 ℃。')
                break;
                case 3:
                $('.body_content_lev16').text('3级 高于40.0 ℃，不到24小时。')
                break;
                case 4:
                $('.body_content_lev16').text('4级 高于40.0 ℃，超过24小时。')
                break;
              }
               if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
                $('.body_title16').remove()
              }
              if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                $('.que_content_body16').remove()
              }
              if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                $('.content_body16').remove()
              }
              if(!questionnaireDetails.queDetailsList[key].dataText){
                $('.content16_body').remove()
              }
              if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                $('.body_content_isRel16').text('已缓解')
              }
              if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                $('.body_content_isRel16').text('未缓解')
              }
          break;
          case 'question17':
            var html17 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">痤疮样皮疹</p>'+
                            '<div class="que_content_body body_title17">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content body_content_lev17"></p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body17">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body17">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content body_content_isRel17">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content17_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
             $('.question17').append(html17)
             switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
              case 1:
              $('.body_content_lev17').text('1级 丘疹和脓疱小于10%的体表面积，伴有/不伴有瘙痒和敏感。')
              break;
              case 2:
              $('.body_content_lev17').text('2级 丘疹和脓疱10%-30%的体表面积，伴有/不伴有瘙痒和压痛；伴心理影响；影响工具性日常生活活动。')
              break;
              case 3:
              $('.body_content_lev17').text('3级 丘疹和脓疱大于30%的体表面积，伴有/不伴有瘙痒和压痛；影响个人日常生活活动；需要口服抗生素治疗二重感染。')
              break;
              case 4:
              $('.body_content_lev17').text('4级 丘疹和脓疱遍布全身表面，伴有/不伴有瘙痒和敏感；需要静脉给予抗生素治疗广泛的多重感染；危及生命。')
              break;
            }
             if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
              $('.body_title17').remove()
            }
            if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
              $('.que_content_body17').remove()
            }
            if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
              $('.content_body17').remove()
            }
            if(!questionnaireDetails.queDetailsList[key].dataText){
              $('.content17_body').remove()
            }
            if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
              $('.body_content_isRel17').text('已缓解')
            }
            if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
              $('.body_content_isRel17').text('未缓解')
            }
          break;
          case 'question18':
            var html18 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">手足综合征</p>'+
                            '<div class="que_content_body body_title18">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content body_content_lev18"></p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body18">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body18">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content body_content_isRel18">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content18_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
             $('.question18').append(html18)
             switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
              case 1:
              $('.body_content_lev18').text('1级 无痛性轻微皮肤改变或皮肤炎（如红斑，水肿，角化过度）。')
              break;
              case 2:
              $('.body_content_lev18').text('2级 痛性皮肤改变（如剥落，水泡，出血，肿胀，角化过度）；影响工具性日常生活活动。')
              break;
              case 3:
              $('.body_content_lev18').text('3级 重度皮肤改变（剥落，水泡，出血，水肿，角化过度），伴疼痛；影响个人日常生活活动。')
              break;
            }
             if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
              $('.body_title18').remove()
            }
            if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
              $('.que_content_body18').remove()
            }
            if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
              $('.content_body18').remove()
            }
            if(!questionnaireDetails.queDetailsList[key].dataText){
              $('.content18_body').remove()
            }
            if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
              $('.body_content_isRel18').text('已缓解')
            }
            if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
              $('.body_content_isRel18').text('未缓解')
            }
          break;
          case 'question19':
            var html19 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">腹泻</p>'+
                            '<div class="que_content_body body_title19">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content body_content_lev19"></p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body19">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body19">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content body_content_isRel19">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content19_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
              $('.question19').append(html19)
              switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
                case 1:
                $('.body_content_lev19').text('1级 大便次数增加每天<4次；造瘘口排出物轻度增加。')
                break;
                case 2:
                $('.body_content_lev19').text('2级 大便次数增加每天4~6次；造瘘口排出物中度增加。')
                break;
                case 3:
                $('.body_content_lev19').text('3级 大便次数增加每天≥7次；大便失禁；需要院治疗；与基线相比，造瘘口排出物重度增加；影响个人日常生活活动。')
                break;
                case 4:
                $('.body_content_lev19').text('4级 危及生命； 需要紧急治疗。')
                break;
              }
              if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
                $('.body_title19').remove()
              }
              if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                $('.que_content_body19').remove()
              }
              if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                $('.content_body19').remove()
              }
              if(!questionnaireDetails.queDetailsList[key].dataText){
                $('.content19_body').remove()
              }
              if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                $('.body_content_isRel19').text('已缓解')
              }
              if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                $('.body_content_isRel19').text('未缓解')
              }
          break;
          case 'question20':
            var html20 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">便秘</p>'+
                            '<div class="que_content_body body_title20">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content body_content_lev20"></p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body20">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body20">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content body_content_isRel20">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content20_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question20').append(html20)
                switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
                  case 1:
                  $('.body_content_lev20').text('1级 偶然或间断性出现； 偶尔需要使用粪便软化剂，轻泻药，饮食习惯调整或灌肠。')
                  break;
                  case 2:
                  $('.body_content_lev20').text('2级 持续症状，需要有规律的使用轻泻药或灌肠；影响工具性日常生活活动。')
                  break;
                  case 3:
                  $('.body_content_lev20').text('3级 需手工疏通的顽固性便秘；影响个人日常生活活动。')
                  break;
                  case 4:
                  $('.body_content_lev20').text('4级 危及生命； 需要紧急治疗。')
                  break;
                }
                if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
                  $('.body_title20').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                  $('.que_content_body20').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                  $('.content_body20').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].dataText){
                  $('.content20_body').remove()
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                  $('.body_content_isRel20').text('已缓解')
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                  $('.body_content_isRel20').text('未缓解')
                }
          break;
          case 'question21':
            var html21 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">腹胀</p>'+
                            '<div class="que_content_body body_title21">'+
                              '<p class="body_title ">症状级别 ：</p>'+
                              '<p class="body_content body_content_lev21"></p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body21">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body21">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content body_content_isRel21">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content21_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question21').append(html21)
                switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
                  case 1:
                  $('.body_content_lev21').text('1级 肠道功能或经口进食未改变。')
                  break;
                  case 2:
                  $('.body_content_lev21').text('2级 有症状，经口进食减少；肠道功能改变。')
                  break;
                }
                if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
                  $('.body_title21').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                  $('.que_content_body21').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                  $('.content_body21').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].dataText){
                  $('.content21_body').remove()
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                  $('.body_content_isRel21').text('已缓解')
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                  $('.body_content_isRel21').text('未缓解')
                }
          break;
          case 'question22':
            var html22 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">腹痛</p>'+
                            '<div class="que_content_body body_title22">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content body_content_lev22"></p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body22">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body22">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content body_content_isRel22">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content22_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question22').append(html22)
                switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
                  case 1:
                  $('.body_content_lev22').text('1级 轻度疼痛。')
                  break;
                  case 2:
                  $('.body_content_lev22').text('2级 中度疼痛； 影响工具性日常生活活动。')
                  break;
                  case 3:
                  $('.body_content_lev22').text('3级 重度疼痛；影响个人日常生活活动。')
                  break;
                }
                if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
                  $('.body_title22').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                  $('.que_content_body22').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                  $('.content_body22').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].dataText){
                  $('.content22_body').remove()
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                  $('.body_content_isRel22').text('已缓解')
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                  $('.body_content_isRel22').text('未缓解')
                }
          break;
          case 'question23':
            var html23 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">恶心</p>'+
                            '<div class="que_content_body body_title23">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content body_content_lev23"></p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body23">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body23">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content body_content_isRel23">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content23_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question23').append(html23)
                switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
                  case 1:
                  $('.body_content_lev23').text('1级 食欲降低，不伴进食习惯改变消化不良。')
                  break;
                  case 2:
                  $('.body_content_lev23').text('2级 经口摄食减少不伴明显的体重下降，脱水或营养不良。')
                  break;
                  case 3:
                  $('.body_content_lev23').text('3级 经口摄入能量和水分不足；需要鼻饲，全肠外营养或者住院。')
                  break;
                }
                if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
                  $('.body_title23').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                  $('.que_content_body23').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                  $('.content_body23').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].dataText){
                  $('.content23_body').remove()
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                  $('.body_content_isRel23').text('已缓解')
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                  $('.body_content_isRel23').text('未缓解')
                }
          break;
          case 'question24':
            var html24 = '<div class="que_content">'+
                              '<p class="que_content_title left_line">呕吐</p>'+
                              '<div class="que_content_body body_title24">'+
                                '<p class="body_title">症状级别 ：</p>'+
                                '<p class="body_content body_content_lev24"></p>'+
                              '</div>'+
                              '<div class="que_content_body que_content_body24">'+
                                '<p class="body_title">发生时间:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content_body24">'+
                                  '<p class="body_title">缓解情况:</p>'+
                                  '<p class="body_content body_content_isRel24">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content24_body">'+
                                  '<p class="body_title">处理方案:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                              '</div>'+
                            '</div>'
                  $('.question24').append(html24)
                  switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
                    case 1:
                    $('.body_content_lev24').text('1级 24小时内1-2发作（间隔5分钟）。')
                    break;
                    case 2:
                    $('.body_content_lev24').text('2级 24小时内3-5发作（间隔5分钟）。')
                    break;
                    case 3:
                    $('.body_content_lev24').text('3级 24小时内发作>=6次（间隔5分钟）需要鼻饲，全肠外营养或住院治疗。')
                    break;
                    case 4:
                    $('.body_content_lev24').text('4级 危及生命； 需要紧急治疗。')
                    break;
                  }
                  if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
                    $('.body_title24').remove()
                  }
                  if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                    $('.que_content_body24').remove()
                  }
                  if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                    $('.content_body24').remove()
                  }
                  if(!questionnaireDetails.queDetailsList[key].dataText){
                    $('.content24_body').remove()
                  }
                  if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                    $('.body_content_isRel24').text('已缓解')
                  }
                  if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                    $('.body_content_isRel24').text('未缓解')
                  }
          break;
          case 'question25':
            var html25 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">胃痛</p>'+
                            '<div class="que_content_body body_title25">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content body_content_lev25"></p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body25">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body25">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content body_content_isRel25">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content25_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question25').append(html25)
                switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
                  case 1:
                  $('.body_content_lev25').text('1级 轻度疼痛。')
                  break;
                  case 2:
                  $('.body_content_lev25').text('2级 中度疼痛；影响工具性日常生活活动。')
                  break;
                  case 3:
                  $('.body_content_lev25').text('3级 重度疼痛；影响个人日常生活活动。')
                  break;
                }
                if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
                  $('.body_title25').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                  $('.que_content_body25').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                  $('.content_body25').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].dataText){
                  $('.content25_body').remove()
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                  $('.body_content_isRel25').text('已缓解')
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                  $('.body_content_isRel25').text('未缓解')
                }
          break;
          case 'question26':
            var html26 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">口腔粘膜炎</p>'+
                            '<div class="que_content_body body_title26">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content body_content_lev26"></p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body26">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body26">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content body_content_isRel26">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content26_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question26').append(html26)
                switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
                  case 1:
                  $('.body_content_lev26').text('1级 无症状或轻症；无需治疗。')
                  break;
                  case 2:
                  $('.body_content_lev26').text('2级 中度疼痛；不影响经口进食；需要调整饮食。')
                  break;
                  case 3:
                  $('.body_content_lev26').text('3级 重度疼痛；影响经口进食。')
                  break;
                  case 4:
                  $('.body_content_lev26').text('4级 危及生命； 需要紧急治疗。')
                  break;
                }
                if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
                  $('.body_title26').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                  $('.que_content_body26').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                  $('.content_body26').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].dataText){
                  $('.content26_body').remove()
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                  $('.body_content_isRel26').text('已缓解')
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                  $('.body_content_isRel26').text('未缓解')
                }
          break;
          case 'question27':
            var html27 = '<div class="que_content">'+
                              '<p class="que_content_title left_line">咳嗽</p>'+
                              '<div class="que_content_body body_title27">'+
                                '<p class="body_title">症状级别 ：</p>'+
                                '<p class="body_content body_content_lev27"></p>'+
                              '</div>'+
                              '<div class="que_content_body que_content_body27">'+
                                '<p class="body_title">发生时间:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content_body27">'+
                                  '<p class="body_title">缓解情况:</p>'+
                                  '<p class="body_content body_content_isRel27">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content27_body">'+
                                  '<p class="body_title">处理方案:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                              '</div>'+
                            '</div>'
                  $('.question27').append(html27)
                  switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
                    case 1:
                    $('.body_content_lev27').text('1级 轻度症状；需要非处方药治。')
                    break;
                    case 2:
                    $('.body_content_lev27').text('2级 中度症状；需要药物治疗；影响工具性日常生活活动。')
                    break;
                    case 3:
                    $('.body_content_lev27').text('3级 重度症状；影响个人日常生活活动。')
                    break;
                  }
                  if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
                    $('.body_title27').remove()
                  }
                  if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                    $('.que_content_body27').remove()
                  }
                  if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                    $('.content_body27').remove()
                  }
                  if(!questionnaireDetails.queDetailsList[key].dataText){
                    $('.content27_body').remove()
                  }
                  if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                    $('.body_content_isRel27').text('已缓解')
                  }
                  if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                    $('.body_content_isRel27').text('未缓解')
                  }
          break;
          case 'question28':
            var html28 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">呼吸困难</p>'+
                            '<div class="que_content_body body_title28">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content body_content_lev28"></p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body28">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body28">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content body_content_isRel28">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content28_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question28').append(html28)
                switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
                  case 1:
                  $('.body_content_lev28').text('1级 中度活动时呼吸短促。')
                  break;
                  case 2:
                  $('.body_content_lev28').text('2级 少量活动时呼吸短促；影响工具性日常生活活动。')
                  break;
                  case 3:
                  $('.body_content_lev28').text('3级 休息时呼吸短促；影响个人日常生活活动。')
                  break;
                  case 4:
                  $('.body_content_lev28').text('4级 危及生命；需要紧急干预。')
                  break;
                }
                if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
                  $('.body_title28').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                  $('.que_content_body28').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                  $('.content_body28').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].dataText){
                  $('.content28_body').remove()
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                  $('.body_content_isRel28').text('已缓解')
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                  $('.body_content_isRel28').text('未缓解')
                }
          break;
          case 'question29':
            var html29 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">脱发</p>'+
                            '<div class="que_content_body body_title29">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content body_content_lev29"></p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body29">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body29">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content body_content_isRel29">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content29_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question29').append(html29)
                switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
                  case 1:
                  $('.body_content_lev29').text('1级 头发丢失不多于50%，远看没有区别，但近看能看出。需要改变发型来掩饰头发丢失，但不需要假发或假发块来掩饰。')
                  break;
                  case 2:
                  $('.body_content_lev29').text('2级 头发丢失大于50%，症状明显，需要假发或假发块，心理有影响。')
                  break;
                }
                if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
                  $('.body_title29').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                  $('.que_content_body29').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                  $('.content_body29').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].dataText){
                  $('.content29_body').remove()
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                  $('.body_content_isRel29').text('已缓解')
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                  $('.body_content_isRel29').text('未缓解')
                }
          break;
          case 'question30':
            var html30 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">体重降低</p>'+
                            '<div class="que_content_body body_title30">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content body_content_lev30"></p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body30">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body30">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content body_content_isRel30">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content30_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question30').append(html30)
                switch(Number(questionnaireDetails.queDetailsList[key].symptomScoreVal)){
                  case 1:
                  $('.body_content_lev30').text('1级 体重减轻5-<10% ，无需治疗。')
                  break;
                  case 2:
                  $('.body_content_lev30').text('2级 体重减轻10 - <20%，需要给予营养支持。')
                  break;
                  case 3:
                  $('.body_content_lev30').text('3级 体重减轻>=20%；需要鼻饲或全肠外营养。')
                  break;
                }
                if(!questionnaireDetails.queDetailsList[key].symptomScoreVal){
                  $('.body_title30').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                  $('.que_content_body30').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                  $('.content_body30').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].dataText){
                  $('.content30_body').remove()
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                  $('.body_content_isRel30').text('已缓解')
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                  $('.body_content_isRel30').text('未缓解')
                }
          break;
          case 'question31':
            var html31 = '<div class="que_content">'+
                              '<p class="que_content_title left_line">头痛头晕</p>'+
                              '<div class="que_content_bodyque_content_body31">'+
                                '<p class="body_title">发生时间:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content_body31">'+
                                  '<p class="body_title">缓解情况:</p>'+
                                  '<p class="body_content body_content_isRel31">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content31_body">'+
                                  '<p class="body_title">处理方案:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                              '</div>'+
                            '</div>'
                  $('.question31').append(html31)
                  
                  if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                    $('.que_content_body31').remove()
                  }
                  if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                    $('.content_body31').remove()
                  }
                  if(!questionnaireDetails.queDetailsList[key].dataText){
                    $('.content31_body').remove()
                  }
                  if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                    $('.body_content_isRel31').text('已缓解')
                  }
                  if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                    $('.body_content_isRel31').text('未缓解')
                  }
          break;
          case 'question32':
            var html32 = '<div class="que_content">'+
                              '<p class="que_content_title left_line">四肢麻木</p>'+
                              '<div class="que_content_body que_content_body32">'+
                                '<p class="body_title">发生时间:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content_body32">'+
                                  '<p class="body_title">缓解情况:</p>'+
                                  '<p class="body_content body_content_isRel32">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content32_body">'+
                                  '<p class="body_title">处理方案:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                              '</div>'+
                            '</div>'
                  $('.question32').append(html32)
                  if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                    $('.que_content_body32').remove()
                  }
                  if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                    $('.content_body32').remove()
                  }
                  if(!questionnaireDetails.queDetailsList[key].dataText){
                    $('.content32_body').remove()
                  }
                  if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                    $('.body_content_isRel32').text('已缓解')
                  }
                  if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                    $('.body_content_isRel32').text('未缓解')
                  }
          break;
          case 'question33':
            var html33 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">其他</p>'+
                            '<div class="que_content_body que_content_body33">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body33">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content body_content_isRel33">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content33_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question33').append(html33)
                if(!questionnaireDetails.queDetailsList[key].happenTimeVal){
                  $('.que_content_body33').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].isRelieveVal){
                  $('.content_body33').remove()
                }
                if(!questionnaireDetails.queDetailsList[key].dataText){
                  $('.content33_body').remove()
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='是'){
                  $('.body_content_isRel33').text('已缓解')
                }
                if(questionnaireDetails.queDetailsList[key].isRelieveVal=='否'){
                  $('.body_content_isRel33').text('未缓解')
                }
          break;
       }
     }
    },
    getWechatTicket: function() {
			medtap.submitAjax({
				url: 'https://gateway.medtap.cn/wechat/lung/fetchWechatTicket',
				type: 'GET',
				async: false,
				data: {
					url: window.location.href
				},
				success: function(res) {
					console.log(res)
					var data = res.content;
					wx.config({
						debug: false,
						appId: data.appId, // 必填，公众号的唯一标识
						timestamp: data.timestamp, // 必填，生成签名的时间戳
						nonceStr: data.nonceStr, // 必填，生成签名的随机串
						signature: data.signature, // 必填，签名，见附录1
						jsApiList: [		
							'previewImage'
						]
					})
				}
			})
		},
	
		//图片预览
		previewImage: function() {
			$('.body_img').on('click', 'img', function() {
				var imgArray = [];
				var curImageSrc = $(this).attr('src');
				if (curImageSrc) {
					$('.body_img img').each(function(index, el) {
						var itemSrc = $(this).attr('src');
						imgArray.push(itemSrc);
					});
					wx.previewImage({
						current: curImageSrc,
						urls: imgArray
					});
				}
			});
		}
  }
  questionnaireDetails.init()
  questionnaireDetails.previewImage()
})